org.apache.lucene.search.spell

## Class SuggestWordFrequencyComparator

- java.lang.Object
- - org.apache.lucene.search.spell.SuggestWordFrequencyComparator

- All Implemented Interfaces:
    Comparator<SuggestWord>

      public class SuggestWordFrequencyComparator
      extends Object
      implements Comparator<SuggestWord>

  Frequency first, then score.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SuggestWordFrequencyComparator()` Creates a new comparator that will compare by `SuggestWord.freq`, then by `SuggestWord.score`, then by `SuggestWord.string`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(SuggestWord first, SuggestWord second)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `equals`

- - ### Constructor Detail

    - #### SuggestWordFrequencyComparator

          public SuggestWordFrequencyComparator()

      Creates a new comparator that will compare by `SuggestWord.freq`, then by `SuggestWord.score`, then by `SuggestWord.string`.

  - ### Method Detail

    - #### compare

          public int compare(SuggestWord first,
                    SuggestWord second)

      Specified by:
        `compare` in interface `Comparator<SuggestWord>`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.